body {
    display: block;
    background: #f9fafb;
    color: #333;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, sans-serif;
    margin: 0px;
}

.logo {
    display: inline-block;
    /*background: #55c500;*/
    color: #ffffff;
    padding: 6px 10px;
    border-radius: 10px;
    font-weight: 700;
    font-size: 30px;
}

/*.logo span {
    color: inherit;
}*/

.logo img {
    height: 70px;
    width: auto;
}

.container {
    display: grid;
    grid-template-rows: 80px auto /*auto*/ 100px;
    grid-template-columns: 0.5fr 3fr 1fr 0.5fr;
    height: 100vh;
    grid-template-areas:
        "left-spacer header header right-spacer"
        "left-spacer main main right-spacer"
        /*"left-spacer low-content low-content right-spacer"*/
        "left-spacer footer footer right-spacer";
    grid-gap: 16px;
}

/*.container p {margin-top: 0px;}*/
/*.container div {padding: 0px;}*/

.contents-bar {
    display: none;
}


.header,
.contents-banner,
.time-line,
.main,
.low-content {
    background: #ffffff;
    border: 1px solid #e5e7eb;
    border-radius: 8px;
    padding: 16px;
}

.header {
    grid-area: header;
    display: flex;
    align-items: center;
    padding: 0 16px;
}

.left-spacer {
    grid-area: left-spacer;
}

.right-spacer {
    grid-area: right-spacer;
}

.time-line {
    grid-area: time-line;
}

.contents-banner {
    grid-area: contents-banner;
}

.main {
    grid-area: main;
}

.low-content {
    grid-area: low-content;
}

.footer {
    grid-area: footer;
}

.footer {
    grid-area: footer;
    background: #ffffff;
    border-top: 1px solid #e5e7eb;
    text-align: center;
    padding: 20px;
    font-size: 14px;
    color: #777;
}

.left-spacer,
.right-spacer {
    background: transparent;
}

@media (max-width: 1000px) {

    .logo {
        display: inline-block;
        /*background: #55c500;*/
        color: #ffffff;
        padding: 6px 10px;
        border-radius: 10px;
        font-weight: 700;
        font-size: 30px;
        margin-left: -10px;
    }

    .logo img {
        height: 50px;
    }

    .header {
        grid-area: header;
        display: flex;
        align-items: center;
        padding: 0 3px;
    }

    .container {
        grid-template-rows: 80px auto /*100px*/ 180px;
        grid-template-columns: 1fr;
        grid-template-areas:
            "header"
            /*"contents-banner"*/
            /*"left-spacer"*/
            "main"
            /*"right-spacer"*/
            /*"low-content"*/
            "footer";
        padding: 0px 5px 0px;
    }

    .left-spacer,
    .right-spacer {
        display: none;
    }

}

.login-form, .join-form {
    margin: 20px auto 0 auto;
    height: auto;
    min-width: 300px;
    max-width: 400px;
    background-color: #f0f0f0;
    padding: 6px 10px;
    border-radius: 10px;
    transition: 0.3s;
}

.login-form-create-account {
    display: none;
    margin: 20px auto 0 auto;
    height: auto;
    min-width: 300px;
    max-width: 400px;
    background-color: #f0f0f0;
    padding: 6px 10px;
    border-radius: 10px;
    transition: 0.3s;
}

#step-1 {
  display: block;
}

.login-form-center, .join-form-center {
    margin: 0 auto 0 auto;
}

.login-form-common, .join-form-common {
    width: 70%;
}

.login-logo {
    display: block;
    width: 100%;
}

.login-form label {
    display: block;
    margin-bottom: 20px;
    font-size: 14px;
    color: #555;
}


.input-full {
    width: 100%;
    padding: 12px 14px;
    margin-top: 5px;
    margin-bottom: 16px;
    border: 1px solid #ddd;
    border-radius: 8px;
    font-size: 16px;
    transition: all 0.2s ease;
    outline: none;
    box-sizing: border-box;
    background-color: #fafafa;
}

.div-half {
    display: flex;
}

.input-half {
    width: 47%;
    padding: 12px 14px;
    margin-top: 5px;
    margin-bottom: 16px;
    border: 1px solid #ddd;
    border-radius: 8px;
    font-size: 16px;
    transition: all 0.2s ease;
    outline: none;
    box-sizing: border-box;
    background-color: #fafafa;
}

/* フォーカス時 */
.login-form input:focus {
    border-color: #4f46e5;
    background-color: #fff;
    box-shadow: 0 0 0 3px rgba(79, 70, 229, 0.15);
}

/* プレースホルダー */
.login-form input::placeholder {
    color: #aaa;
}

/* ボタン */
.next-btn {
    width: 100%;
    margin-top: 12px;
    padding: 12px;
    border: none;
    border-radius: 8px;
    background: #4f46e5;
    color: white;
    font-size: 14px;
    cursor: pointer;
    transition: background 0.2s ease;
}

#step3-next:disabled {
    width: 100%;
    margin-top: 12px;
    padding: 12px;
    border: none;
    border-radius: 8px;
    background: #7c7c7c;
    color: white;
    font-size: 14px;
}

/* ボタン hover */
.next-btn:hover {
    background: #4338ca;
}

#step3-next:active {
    transform: scale(1);
}

/* ボタン押したとき */
.next-btn:active {
    transform: scale(0.98);
}

.next-btn-login, .next-btn-join {
    width: 100%;
    margin-top: 12px;
    padding: 12px;
    border: none;
    border-radius: 8px;
    background: #4f46e5;
    color: white;
    font-size: 14px;
    cursor: pointer;
    transition: background 0.2s ease;
}

.next-btn-login:active, .next-btn-join:active {
    transform: scale(0.98);
}

.login-link {
    margin-top: 10px;
    color: #62b3c7;
	text-decoration: none;
    display: flex;
    justify-content: flex-end;
}

.send-mail-btn {
    display: block;
    margin: 20px auto;
    width: fit-content;
    border: none;
    color: #62b3c7;
    text-decoration: none;
    border-radius: 4px;
}

.send-mail-btn:active {
    display: block;
    margin: 20px auto;
    width: fit-content;
    border: none;
    color: #62b3c7;
    background-color: #62b3c7;
    border-radius: 4px;
    text-decoration: none;
    transform: scale(0.95);
}

.create-account, .create-group {
    width: 100%;
    height: 100px;
    margin-top: 30px;
    background-color: #fafafa;
    border-radius: 8px;
    text-align: center;
}

.create-account-link, .create-group-link {
    margin-top: 10px;
    color: #62b3c7;
	text-decoration: none;
    text-align: center;
}

.display-checkbox {
    width: 20px;
    height: 20px;
}

.select-row {
    display: flex;
    gap: 10px;
    width: 100%;
}

.select-wrapper {
    flex: 1; /* 3つで均等に分割 */
    padding: 12px 14px;
    margin-top: 5px;
    margin-bottom: 16px;
    border: 1px solid #ddd;
    border-radius: 8px;
    font-size: 14px;
    transition: all 0.2s ease;
    outline: none;
    box-sizing: border-box;
    background-color: #fafafa;

    /* セレクトのデフォルト見た目を少し整える */
    appearance: none;
}

.account-check {
    background-color: #fafafa;
    border-radius: 8px;
    height: 700px;
}

.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.6);
  z-index: 999;
}

.modal-content {
  background: #fff;
  width: 90%;
  max-width: 500px;
  margin: 80px auto;
  padding: 20px;
  border-radius: 10px;
}

.modal-body {
  max-height: 300px;
  overflow-y: auto;
  margin-bottom: 15px;
}

.profile-table {
    width: 100%;
    max-width: 600px;
    border-collapse: separate;
    border-spacing: 0;
    background: #fff;
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 0 6px 20px rgba(0,0,0,0.08);
}

.profile-table td {
    padding: 14px 16px;
    border-bottom: 1px solid #afafaf;
    font-size: 14px;
}

.profile-table tr:last-child td {
    border-bottom: none;
}

.profile-table td:first-child {
    width: 40%;
    background: #ebebeb;
    font-weight: 600;
    color: #444;
}

.profile-table td:last-child {
    color: #222;
}

.profile-table tr:nth-child(even) td:last-child {
    background: #fcfcfc;
}

.profile-table tr:hover td {
    background: #f0f7ff;
    transition: 0.2s;
}

.return {
    display: block;
    margin: 20px auto;
    width: fit-content;
    border: none;
    background-color: #fafafa;
    color: #62b3c7;
    text-decoration: none;
    border-radius: 4px;
}

.return:active {
    display: block;
    margin: 20px auto;
    width: fit-content;
    border: none;
    color: #62b3c7;
    background-color: #62b3c7;
    border-radius: 4px;
    text-decoration: none;
    transform: scale(0.95);
}

